File perl-strictures.changes of Package perl-strictures

-------------------------------------------------------------------
Thu May  5 10:32:06 UTC 2016 - coolo@suse.com

- updated to 2.000003
   see /usr/share/doc/packages/perl-strictures/Changes

  2.000003 - 2016-04-19
    - update bundled ExtUtils::HasCompiler to 0.013 to fix potential false
      negative (RT#113637)
    - list optional XS dependencies as suggests rather than recommends (RT#107393)

-------------------------------------------------------------------
Mon Nov  9 10:25:39 UTC 2015 - coolo@suse.com

- updated to 2.000002
   see /usr/share/doc/packages/perl-strictures/Changes

  2.000002 - 2015-11-04
    - use ExtUtils::HasCompiler to detect compiler rather than ExtUtils::CBuilder
    - more comprehensive testing

-------------------------------------------------------------------
Mon Jun 29 01:45:32 UTC 2015 - coolo@suse.com

- updated to 2.000001
   see /usr/share/doc/packages/perl-strictures/Changes

  2.000001 - 2015-06-28
    - update for perl 5.22 warning categories
    - avoid using goto &UNIVERSAL::VERSION on perl 5.8, since it segfaults some
      builds
    - also detect development directories based on .bzr directory
    - various test cleanups

-------------------------------------------------------------------
Tue Apr 14 21:13:03 UTC 2015 - coolo@suse.com

- updated to 2.000000
   see /usr/share/doc/packages/perl-strictures/Changes

  2.000000 - 2015-02-26
    * Incompatible Changes
      - strictures 2 fatalizes only a subset of warnings.  Some warning
        categories are not safe to catch, or just inappropriate to have fatal.
        Existing code looking like 'use strictures 1;' will continue to get the
        old behavior of fatalizing all errors.  The new behavior will take effect
        when no version or version 2 is specified.

-------------------------------------------------------------------
Sat Feb  7 07:21:44 UTC 2015 - coolo@suse.com

- updated to 1.005006
   - fix extra checks triggering on paths starting with t, xt, lib, or blib,
     rather than only triggering on those directories.
   - avoid stat checks for VCS directories until we are in an appropriately
     named file
   - various cleanups in test files

-------------------------------------------------------------------
Tue Sep 16 08:07:55 UTC 2014 - coolo@suse.com

- updated to 1.005005
  - include minimum perl version in metadata
  - make sure meta files list extra modules as recommendations, not requirements

-------------------------------------------------------------------
Mon Feb 24 08:38:38 UTC 2014 - coolo@suse.com

- updated to 1.005003
   - added support for PUREPERL_ONLY (rt#91407)
   - fixed using strictures->VERSION to query the version (rt#92965)
   - extra prereqs will be listed as hard prerequisites if a compiler is
     available

-------------------------------------------------------------------
Mon Nov 25 07:38:55 UTC 2013 - coolo@suse.com

- updated to 1.005001
 - fix skip on old perl on test script
 - detect mercurial when checking for development trees
 - avoid using constant.pm to save a bit of memory on older perls
 - update to v2 metadata
 - fix crash in 1.004003 due to qw() list being readonly

-------------------------------------------------------------------
Tue Jun  4 11:51:58 UTC 2013 - coolo@suse.com

- updated to 1.004004
   - fix 5.16 crash due to qw() list being readonly
   - check only once for presence of extra testing prereqs
   - explicitly specify no dynamic_config in META
   - add better rationale for the extra testing heuristic
   - test-specific strictures now enabled during 'dzil test'
   - switch to testing calling file to avoid firing on dependencies

-------------------------------------------------------------------
Wed May 23 12:59:01 UTC 2012 - coolo@suse.com

- updated to 1.003001
  - fix test to handle defatalization
  - try and run for any checkout t/ now we don't blow up the process
  - defatalize lack of extra testing modules
  - disable extra tests on perls <= 5.008003, things do not work there as
    expected

-------------------------------------------------------------------
Thu Mar 03 20:47:50 CET 2011 - pascal.bleser@opensuse.org

- initial version (1.002002)